## nut-nutrition 10.18

=== Makefile ===
objects := $(patsubst %.c,%.o,$(wildcard *.c))

CFLAGS= -O3 -Wall -DNUTDIR=\".nutdb\" -DFOODDIR=\"/usr/local/lib/nut\" -ansi -pedantic -fno-strict-aliasing

nut:	$(objects)
	gcc ${CFLAGS} -lm -o nut $(objects)
	strip nut

deps:
	makedepend *.c

clean:
	rm -f *.o nut preprocess/*.o preprocess/dbjw

# DO NOT DELETE

## nut-nutrition 11.6

=== preprocess/Makefile ===
objects := $(patsubst %.c,%.o,$(wildcard *.c))

CFLAGS= -O3 -Wall

dbjw  : $(objects)
	gcc $(CFLAGS) -o dbjw $(objects)

clean:
	rm *.o

# DO NOT DELETE

## nut-nutrition 13.0

=== Makefile ===
objects := $(patsubst %.c,%.o,$(wildcard *.c))

CFLAGS= -Os -s -Wall -DNUTDIR=\".nutdb\" -DFOODDIR=\"/usr/local/lib/nut\" -ansi -pedantic

nut:	$(objects)
	gcc ${CFLAGS} -lm -o nut $(objects)

deps:
	makedepend *.c

clean:
	rm -f *.o nut preprocess/*.o preprocess/dbjw

# DO NOT DELETE

## nut-nutrition 14.1

=== Makefile ===
objects := $(patsubst %.c,%.o,$(wildcard *.c))

CFLAGS= -O3 -s -Wall -DNUTDIR=\".nutdb\" -DFOODDIR=\"/usr/local/lib/nut\" -ansi -pedantic

nut:	$(objects)
	gcc ${CFLAGS} -lm -o nut $(objects)

deps:
	makedepend *.c

clean:
	rm -f *.o nut preprocess/*.o preprocess/dbjw

# DO NOT DELETE

## nut-nutrition 14.4

=== Makefile ===
objects := $(patsubst %.c,%.o,$(wildcard *.c))

CFLAGS= -Os -s -Wall -DNUTDIR=\".nutdb\" -DFOODDIR=\"/usr/local/lib/nut\" -ansi -pedantic

nut:	$(objects)
	$(CC) ${CFLAGS} -o nut $(LDFLAGS) $(objects) -lm

deps:
	makedepend *.c

clean:
	rm -f *.o nut preprocess/*.o preprocess/dbjw

# DO NOT DELETE

## nut-nutrition 15.5

=== Makefile ===
objects := $(patsubst %.c,%.o,$(wildcard *.c))

CFLAGS= -O3 -s -Wall -DNUTDIR=\".nutdb\" -DFOODDIR=\"/usr/local/lib/nut\" -ansi -pedantic -fno-inline

nut:	$(objects)
	$(CC) ${CFLAGS} -o nut $(LDFLAGS) $(objects) -lm

deps:
	makedepend *.c

clean:
	rm -f *.o nut preprocess/dbabbrev preprocess/dbjw

# DO NOT DELETE

=== preprocess/Makefile ===
objects := $(patsubst %.c,%.o,$(wildcard *.c))

CFLAGS= -O3 -Wall

all   : $(objects)
	gcc $(CFLAGS) -o dbjw dbjw.o
	gcc $(CFLAGS) -o dbabbrev dbabbrev.o

clean:
	rm *.o

# DO NOT DELETE

## nut-nutrition 19.1

=== debian/changelog ===
nut-nutrition (19.1-2) unstable; urgency=medium

  * Corrected path to the food database (closes: #750930)
  * Corrected path to user database (closes: #750932)
  * Patched man page to refer to nut-nutrition (closes: #750933)

 -- Iain R. Learmonth <irl@fsfe.org>  Wed, 11 Jun 2014 08:46:55 +0100

nut-nutrition (19.1-1) unstable; urgency=medium

  * New upstream release
  * Package now maintained by Debian Med
  * Updated to Debian Policy 3.9.5
  * Added Vcs-Browser field
  * Updated copyright file to DEP-5
  * Updated to debhelper 9
  * Updated and simplified rules file
  * Switched to using quilt

 -- Iain R. Learmonth <irl@fsfe.org>  Sat, 07 Jun 2014 00:01:37 +0100

nut-nutrition (15.5-1) unstable; urgency=low

  * New upstream release (closes: #580161)

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 08 May 2010 09:07:27 -0600

nut-nutrition (14.4-1) unstable; urgency=low

  * New upstream release
  * New Vcs-Git information
  * Updated to Debian Policy 3.8.1 (no changes)
  * Updated to debhelper 7
  * Updated and simplified description
  * Added Homepage field
  * Updated and simplified copyright information 
  * Updated menu entry to better match description

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 12 Apr 2009 12:50:16 -0600

nut-nutrition (14.3-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 10 Feb 2009 19:20:24 -0700

nut-nutrition (14.2-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed, 07 Jan 2009 19:23:55 -0700

nut-nutrition (14.1-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 06 Nov 2008 08:05:02 -0700

nut-nutrition (14.0a-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 02 Nov 2008 19:10:33 -0700

nut-nutrition (13.9-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Fri, 23 May 2008 08:18:16 -0600

nut-nutrition (13.8-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 22 May 2008 20:50:11 -0600

nut-nutrition (13.7-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 19 May 2008 19:46:14 -0600

nut-nutrition (13.6-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 15 Apr 2008 14:34:26 -0600

nut-nutrition (13.5-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 05 Apr 2008 17:31:15 -0600

nut-nutrition (13.4-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 25 Mar 2008 18:55:07 -0600

nut-nutrition (13.2-1) unstable; urgency=low

  * New upstream release
  * Updated upstream URL in package description
  * Switched away from dpatch for debianization
  * Added Vcs-Bzr header
  * No longer depends on dpatch or perl

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 03 Feb 2008 15:00:25 -0700

nut-nutrition (13.0-1) unstable; urgency=low

  * New upstream release
  * Modified copyright and watch to reflect new upstream information.

 -- Wesley J. Landaker <wjl@icecavern.net>  Sat, 29 Sep 2007 16:32:14 -0600

nut-nutrition (12.7-1) unstable; urgency=low

  * New upstream release
  * Update to new menu sections

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 09 Aug 2007 17:41:45 -0600

nut-nutrition (12.5-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 12 Apr 2007 17:17:19 -0600

nut-nutrition (12.3-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 11 Feb 2007 11:43:00 -0700

nut-nutrition (12.2-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 18 Jan 2007 08:42:02 -0700

nut-nutrition (11.6-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun, 13 Aug 2006 10:27:35 -0600

nut-nutrition (11.5-2) unstable; urgency=low

  * Now using dpatch to manage Debian-specific patches
  * Conforming to Debian Policy 3.7.2.0 (no changes necessary)

 -- Wesley J. Landaker <wjl@icecavern.net>  Wed,  2 Aug 2006 15:08:33 -0600

nut-nutrition (11.5-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu,  6 Jul 2006 17:15:37 -0600

nut-nutrition (11.4-1) unstable; urgency=low

  * New upstream release
  * Clarified Debian packaging copyright
  * Updated to Policy 3.7.0.0 (no changes)

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue,  2 May 2006 18:29:56 -0600

nut-nutrition (11.3-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 13 Feb 2006 19:47:31 -0700

nut-nutrition (11.2-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Mon, 30 Jan 2006 17:11:04 -0700

nut-nutrition (11.1-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Sun,  1 Jan 2006 14:50:25 -0700

nut-nutrition (11.0.final-1) unstable; urgency=low

  * Changes in upstream release, same version number.

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 30 Aug 2005 16:57:15 -0600

nut-nutrition (11.0-1) unstable; urgency=low

  * New upstream release
  * Standards version 3.6.2

 -- Wesley J. Landaker <wjl@icecavern.net>  Fri, 19 Aug 2005 05:48:25 -0600

nut-nutrition (10.21-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Fri,  5 Aug 2005 20:40:06 -0600

nut-nutrition (10.20-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Tue, 14 Jun 2005 22:57:57 -0600

nut-nutrition (10.19-1) unstable; urgency=low

  * New upstream release

 -- Wesley J. Landaker <wjl@icecavern.net>  Thu, 19 May 2005 21:39:31 -0600

nut-nutrition (10.18-1) unstable; urgency=low



=== debian/control ===
Source: nut-nutrition
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@fsfe.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/nut-nutrition.git
Vcs-Git: git://anonscm.debian.org/debian-med/nut-nutrition.git
Homepage: http://nut.sourceforge.net/

Package: nut-nutrition
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: dietary nutrition analysis software
 This software help you record what you eat and then analyzes your meals for
 nutrient levels in terms of the USDA "Daily Value" (the standard for food
 labeling in the US.

## nut-nutrition 20.1

=== Makefile ===
prefix = /usr/local
libdir = $(prefix)/lib/nut
bindir = $(prefix)/bin
mandir = $(prefix)/man/man1

NUTDIR := \".nutdb\"
FOODDIR := \"$(libdir)\"
EXECUTABLE := nut
LIBS := -lm

FLTK_CONFIG := $(shell fltk-config --version 2>/dev/null)
ifeq ($(FLTK_CONFIG),)
HAVE_FLTK = 0
FLTK_NUT =
else
HAVE_FLTK = 1
FLTK_NUT = fltk/Nut
endif

OS := $(shell uname -s)
ifeq ($(OS),HP-UX)
CC = cc
OPT = -O
else
OPT = -O3
endif

ifeq ($(OS),HP-UX)
CFLAGS := $(OPT) -DNUTDIR=$(NUTDIR) -DFOODDIR=$(FOODDIR)
else
CFLAGS := $(OPT) -DNUTDIR=$(NUTDIR) -DFOODDIR=$(FOODDIR)
endif

CXXFLAGS := $(CFLAGS) `fltk-config --cxxflags`

SOURCE := $(wildcard *.c)
OBJS := $(patsubst %.c,%.o,$(SOURCE))

all: nut $(FLTK_NUT)

nut:	$(OBJS)
	$(CC) $(OPT) $(LDFLAGS) -o $(EXECUTABLE) $(OBJS) $(LIBS)

ifeq ($(HAVE_FLTK),1)
$(FLTK_NUT):
	-cd fltk; $(MAKE)
endif

deps:
	makedepend -Y. *.c >/dev/null 2>&1

clean:
	rm -f *.o $(EXECUTABLE) preprocess/*.o preprocess/dbabbrev preprocess/dbjw core
ifeq ($(HAVE_FLTK),1)
	-cd fltk; $(MAKE) clean
endif

install: all
	-mkdir -p -m 755 $(bindir) $(libdir) $(mandir)
	-cp nut $(FLTK_NUT) $(bindir)
	-cd $(bindir); strip nut Nut
	-rm -f $(libdir)/sr*.nut 2>/dev/null
	-cp raw.data/* $(libdir)
	-cp nut.1 $(mandir)
	-chmod a+r $(libdir)/* $(mandir)/nut.1

# DO NOT DELETE

=== fltk/Makefile ===
prefix = /usr/local
bindir = $(prefix)/bin
libdir = $(prefix)/lib/nut

NUTDIR := \".nutdb\"
FOODDIR := \"$(libdir)\"
EXECUTABLE := Nut
LIBS := `fltk-config --ldflags`

OS := $(shell uname -s)
ifeq ($(OS),HP-UX)
CC = cc
CXX = /opt/aCC/bin/aCC
OPT = -O
else
OPT = -O3
endif

ifeq ($(OS),HP-UX)
CXXFLAGS := -I.. `fltk-config --cxxflags` $(OPT) -DNUTDIR=$(NUTDIR) -DFOODDIR=$(FOODDIR)
else
CXXFLAGS := -I.. `fltk-config --cxxflags` $(OPT) -DNUTDIR=$(NUTDIR) -DFOODDIR=$(FOODDIR)
endif

FONT_CONFIG := $(shell fltk-config --ldflags | grep lXft)
ifeq ($(FONT_CONFIG),)
CXXFLAGS += -DNOT_XFT
endif

OS_CONFIG := $(shell fltk-config --ldflags | grep lX11)
ifneq ($(OS_CONFIG),)
LIBS += -lXpm
CXXFLAGS += -DUSING_X11
endif

SOURCE := $(wildcard *.cc)
OBJS := ../anameal.o ../db.o ../food.o ../meal.o ../options.o ../prtmenu.o ../ranking.o ../recmeal.o ../trendy.o ../util.o $(patsubst %.cc,%.o,$(SOURCE))

nut:	$(OBJS)
	$(CXX) $(OPT) $(LDFLAGS)  -o $(EXECUTABLE) $(OBJS) $(LIBS)

deps:
	makedepend -Y.. ../anameal.c ../db.c ../food.c ../meal.c ../options.c ../prtmenu.c ../recmeal.c ../util.c *.cc >/dev/null 2>&1


clean :
	rm -f *.o $(EXECUTABLE)

install: Nut
	-cp Nut $(bindir)

# DO NOT DELETE

=== preprocess/Makefile ===
--- 
+++ 
@@ -6,7 +6,12 @@
 	gcc $(CFLAGS) -o dbjw dbjw.o
 	gcc $(CFLAGS) -o dbabbrev dbabbrev.o
 
+deps:
+	makedepend -Y. *.c > /dev/null 2>&1
+
 clean:
 	rm *.o
 
 # DO NOT DELETE
+
+dbabbrev.o: ../abbrev.h

=== debian/changelog ===
nut-nutrition (20.1-2) unstable; urgency=medium

  * Split data into architecture independent package
  * Add Breaks to nut-nutrition-data package
    Closes: #762036

 -- Iain R. Learmonth <irl@fsfe.org>  Wed, 17 Sep 2014 21:44:11 +0100

nut-nutrition (20.1-1) unstable; urgency=medium

  * New upstream release

 -- Iain R. Learmonth <irl@fsfe.org>  Mon, 15 Sep 2014 18:04:57 +0100

nut-nutrition (19.2-1) unstable; urgency=medium

  * New upstream release

 -- Iain R. Learmonth <irl@fsfe.org>  Sun, 24 Aug 2014 15:01:20 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,21 @@
 Package: nut-nutrition
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         nut-nutrition-data (>= 20.1-1)
 Description: dietary nutrition analysis software
  This software help you record what you eat and then analyzes your meals for
  nutrient levels in terms of the USDA "Daily Value" (the standard for food
  labeling in the US.
+
+Package: nut-nutrition-data
+Architecture: all
+Breaks: nut-nutrition (<< 20.1-1)
+Depends: ${misc:Depends}
+Description: dietary nutrition analysis software - common data
+ This software help you record what you eat and then analyzes your meals for
+ nutrient levels in terms of the USDA "Daily Value" (the standard for food
+ labeling in the US.
+ .
+ This package contains the architecture independent databases for
+ nut-nutrition.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/nut-nutrition

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/nut/nut-(.+)\.tar\.gz
